cloud-init boot errors on centos7

Bug #1686751 reported by Ryan Harper on 2017-04-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init
Medium
Unassigned

Bug Description

[root@localhost ubuntu]# systemctl status cloud-init-local -l
● cloud-init-local.service - LSB: The initial cloud-init job (local fs contingent)
   Loaded: loaded (/etc/rc.d/init.d/cloud-init-local; bad; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2017-04-27 14:39:57 UTC; 35s ago
     Docs: man:systemd-sysv-generator(8)
  Process: 462 ExecStart=/etc/rc.d/init.d/cloud-init-local start (code=exited, status=1/FAILURE)

Apr 27 14:39:57 localhost cloud-init-local[462]: self.selinux.restorecon(path, recursive=self.recursive)
Apr 27 14:39:57 localhost cloud-init-local[462]: File "/usr/lib64/python2.7/site-packages/selinux/__init__.py", line 100, in restorecon
Apr 27 14:39:57 localhost cloud-init-local[462]: restorecon(os.path.join(root, name))
Apr 27 14:39:57 localhost cloud-init-local[462]: File "/usr/lib64/python2.7/site-packages/selinux/__init__.py", line 85, in restorecon
Apr 27 14:39:57 localhost cloud-init-local[462]: status, context = matchpathcon(path, mode)
Apr 27 14:39:57 localhost cloud-init-local[462]: OSError: [Errno 2] No such file or directory
Apr 27 14:39:57 localhost systemd[1]: cloud-init-local.service: control process exited, code=exited status=1
Apr 27 14:39:57 localhost systemd[1]: Failed to start LSB: The initial cloud-init job (local fs contingent).
Apr 27 14:39:57 localhost systemd[1]: Unit cloud-init-local.service entered failed state.
Apr 27 14:39:57 localhost systemd[1]: cloud-init-local.service failed.

cloud-init (net) errors:

Apr 27 14:30:48 localhost cloud-init: Starting cloud-init: Cloud-init v. 0.7.9 running 'init' at Thu, 27 Apr 2017 14:30:48 +0000. Up 4.77 seconds.
Apr 27 14:30:48 localhost cloud-init: 2017-04-27 14:30:48,387 - util.py[WARNING]: Route info failed: Unexpected error while running command.
Apr 27 14:30:48 localhost cloud-init: Command: ['netstat', '-rn']

Related branches

Scott Moser (smoser) on 2017-06-12
Changed in cloud-init:
status: New → Confirmed
importance: Undecided → Medium
Scott Moser (smoser) on 2017-06-12
Changed in cloud-init:
status: Confirmed → Fix Committed

This bug is believed to be fixed in cloud-init in 17.1. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in cloud-init:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers